<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/buttonupdate"
    android:orientation="horizontal">

    <android.support.v7.widget.Toolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/actionBarSize"
        style="@style/Base.TextAppearance.Widget.AppCompat.Toolbar.Title"
        android:background="@color/buttonupdate"
        >

        <TextView
            android:id="@+id/toolbar_title"
            android:layout_width="wrap_content"
            android:text="LOGIN"
            android:textColor="@color/bluebutton"
            android:layout_height="wrap_content"
            style="@style/TextAppearance.AppCompat.Widget.ActionBar.Title"
            android:layout_gravity="center" />
    </android.support.v7.widget.Toolbar>


    <LinearLayout
        android:id="@+id/linear"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:layout_below="@+id/appBar"
        android:layout_marginTop="80dp"
        android:gravity="center_vertical"
        android:orientation="vertical">


        <android.support.design.widget.TextInputLayout
            android:id="@+id/username"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
         >

            <android.support.v7.widget.AppCompatEditText
                android:id="@+id/edtUserName"
                style="@style/TextAppearance.AppCompat.Body1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:drawableLeft="@drawable/user"
                android:drawablePadding="10dp"
                android:hint="@string/username"
                android:imeOptions="actionNext"
                android:inputType="text"
                android:maxLines="1"
                android:paddingLeft="@dimen/ten_dp" />

        </android.support.design.widget.TextInputLayout>

        <android.support.design.widget.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/username"
            android:layout_marginTop="10dp"
            app:hintTextAppearance="@style/TextAppearance.AppCompat.Body1">

            <android.support.v7.widget.AppCompatEditText
                android:id="@+id/edtPassword"
                style="@style/TextAppearance.AppCompat.Body1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:layout_marginRight="10dp"
                android:drawableLeft="@drawable/password"
                android:drawablePadding="10dp"
                android:hint="@string/password"
                android:textColor="@color/colorGrey"
                android:textColorHint="@color/colorGrey"
                android:imeOptions="actionDone"
                android:inputType="textPassword"
                android:maxLines="1"
                android:paddingLeft="@dimen/ten_dp" />

        </android.support.design.widget.TextInputLayout>

        <android.support.v7.widget.AppCompatTextView
            android:id="@+id/txtForgotPassword"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_marginRight="10dp"
            android:layout_marginTop="20dp"
            android:gravity="right"
            android:text="@string/forgotPassword" />

        <android.support.v7.widget.AppCompatButton
            android:id="@+id/btnLogin"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:layout_marginTop="50dp"
            android:layout_weight="1"
            android:background="@drawable/layerlistlogin"
            android:padding="@dimen/fifteen_dp"
            android:text="@string/login"
            android:textAllCaps="false"
            android:textColor="@color/colorWhite" />
    </LinearLayout>

    <RelativeLayout
        android:id="@+id/navLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginLeft="30dp"
        android:layout_marginRight="30dp"
        android:layout_above="@+id/textregister"
        android:background="@drawable/googlesignbackbutton"
      android:paddingLeft="@dimen/ten_dp"
        android:paddingRight="@dimen/ten_dp"
        android:visibility="visible"
        android:layout_marginBottom="@dimen/ten_dp">

        <android.support.v7.widget.AppCompatImageButton
            android:id="@+id/btnGoogle"
            android:padding="20dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_centerVertical="true"
            android:background="@drawable/gmailgoogle" />

        <View
            android:id="@+id/view"
            android:layout_width="1dp"
            android:layout_alignBottom="@+id/googletext"
            android:layout_alignTop="@+id/googletext"
            android:layout_height="match_parent"
            android:layout_marginLeft="5dp"
            android:layout_centerVertical="true"
            android:layout_toEndOf="@+id/btnGoogle"
            android:layout_toRightOf="@+id/btnGoogle"
            android:background="@color/shadow" />

        <android.support.v7.widget.AppCompatTextView
            android:id="@+id/googletext"
            style="@style/Base.Widget.AppCompat.Button.Borderless"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_toEndOf="@+id/view"
            android:padding="@dimen/ten_dp"
            android:layout_toRightOf="@+id/view"
            android:text="SIGN IN WITH GOOGLE"
            android:textColor="@color/lightGrey" />

    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/textregister"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="15dp"
        android:gravity="center">

        <android.support.v7.widget.AppCompatTextView
            android:id="@+id/newUser"
            style="@style/TextAppearance.AppCompat.Body1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:text="@string/newuser"
            android:textColor="@color/lightGrey" />

        <android.support.v7.widget.AppCompatTextView
            style="@style/TextAppearance.AppCompat.Body1"
            android:layout_width="wrap_content"
            android:id="@+id/register"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_toRightOf="@+id/newUser"
            android:text="@string/register"
            android:textColor="@color/bluebutton" />

    </RelativeLayout>

</RelativeLayout>